<?php
/**
* @author:  Bunzia Alexander <nifus@mail.ru> <http://www.weblancer.net/autocatalog/nifus/>
* @copyright: Copyright (c) 2010, Bunzia Alexander
* @version: 1.0
* @license: http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @package: HiLo CMS
*/


if ( !defined("inc_system_autocatalog_menu") ){
  define("inc_system_autocatalog_menu", 1);
  
  /**
  * Формируем пользовательское меню модуля
  *
  * @return: array 
  */
  function autocatalog_menu(){
 
    include_once(MAIN_SOURCE_PATH.'/modules/autocatalog/inc/url.php');
    include_once(MAIN_SOURCE_PATH.'/modules/autocatalog/lang/'.MAIN_LANG.'/blocks.php');
    $menu[] = array('url'=> URL_AUTOCATALOG_CONTROL_POSTS ,  'title' => 'Каталог');
    $menu[] = array('url'=> URL_AUTOCATALOG_CONTROL_CONFIG,  'title'=> 'Настройки');
   // $menu[] = array('url'=> URL_AUTOCATALOG_CONTROL_CATEGORY,   'title'=> 'Разделы');
    $menu[] = array('url'=> URL_AUTOCATALOG_CONTROL_POSTS,   'title'=> 'Управление');
    return $menu;
  }
  
  
  /**
  * Застолбим за модулем URL адреса
  *
  * @return: array 
  */
  function autocatalog_htaccess(){
    return array(
      '#^'.MAIN_DIR.'([a-z_0-9-]*)\.html$#i' => array( 'p_name'=>'autocatalog_listing','act'=>'index','alias'=>'$1' ),
      '#^'.MAIN_DIR.'gal/([a-z_0-9-]*)\.html$#i' => array( 'p_name'=>'autocatalog_view','act'=>'index','alias'=>'$1'  ),

    );
  }

  
  

}